Account Validation
Performs one or more validation checks for a given card, such as CVC, AVS, and cardholder name, in a synchronous (blocking) request. The presence of validation data in the request body implicitly specifies which checks are performed.
Performs one or more validation checks for a given card, such as CVC, AVS, and cardholder name, in a synchronous (blocking) request. The presence of validation data in the request body implicitly specifies which checks are performed.
CRDecqZp3xRgXU3TFmtcDdzQsBearer token for authentication.
Bearer <JWT_TOKEN>Content type of a request to CMP
application/vnd.api+jsonPossible values: The request body to initiate account validations. A card verification is always performed; the presence of cvc, cardholder_address, or cardholder_name additionally requests the corresponding optional check (CVC, AVS, name match).
SUCCESS: The validation was performed and results are in the response body.
The response body for a successful synchronous validation.
The request was invalid.
No credentials were provided, or the provided credentials were expired.
Forbidden. The client does not have permission to perform this action, or the vault context could not be determined from the request.
Resource not found.
The server was unable to process the request because it contains invalid data.
Internal Server Error
Service Unavailable. The downstream network is temporarily unavailable.
POST /cards/{card_id}/validations HTTP/1.1
Host: sandbox.vgsapi.com
Authorization: text
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 306
{
"data": {
"attributes": {
"cvc": "123",
"cardholder_address": {
"street": "123 Main St",
"postal_code": "94102"
},
"cardholder_name": {
"first_name": "John",
"middle_name": "Q",
"last_name": "Doe"
},
"merchant": {
"merchant_name": "ABC Corp",
"address": {
"city": "San Francisco",
"state": "CA",
"country": "US",
"postal_code": "94102"
}
}
}
}
}{
"data": {
"id": "5ea8913b-ea22-4417-90f3-9ab24a4aeed9",
"type": "account-validation-results",
"attributes": {
"attempted_at": "2026-05-05T14:32:18.412Z",
"transaction_identifier": "987654321234567",
"card_verification_status": "verified",
"validation_results": [
{
"type": "cvc",
"status": "match"
},
{
"type": "address",
"status": "partial_match",
"detail": {
"street_address": "no_match",
"postal_code": "match"
}
},
{
"type": "name",
"status": "match"
}
]
},
"relationships": {
"card": {
"data": {
"type": "cards",
"id": "CRDecqZp3xRgXU3TFmtcDdzQs"
}
}
}
},
"meta": {
"observability": {
"trace_id": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01",
"client_id": "ACq8Yk2pH3vN5wRtX9bMcKfJ",
"vault_id": "tnt7v3k9pqr2",
"account_id": "ACTjtY1xLpU9EKYZB28YpSuR1bmJdjGBtsw9DD3ey3FhdhwBmvau",
"fingerprint": "f1b2c3d4e5a6978899aabbccddeeff00"
}
}
}Last updated

